> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Articles

> Get user articles by profile with url or username



## OpenAPI

````yaml /openapi/linkedin.openapi.json get /v1/data/linkedin/get-user-articles
openapi: 3.0.0
info:
  title: agntdata LinkedIn API
  description: Enrich profile and company data in real-time
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Post
    description: ''
  - name: Article API
    description: ''
  - name: Location
    description: ''
  - name: System
    description: ''
  - name: Company
    description: ''
  - name: Profile APIs
    description: ''
  - name: Job APIs
    description: ''
paths:
  /v1/data/linkedin/get-user-articles:
    get:
      tags:
        - Article API
      summary: Get User Articles
      description: Get user articles by profile with url or username
      operationId: Get_User_Articles
      parameters:
        - name: url
          in: query
          required: false
          schema:
            type: string
            default: https://www.linkedin.com/in/williamhgates/
        - name: username
          in: query
          required: false
          schema:
            type: string
            default: williamhgates
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_linkedin_get_user_articles_Response'
              example:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            urn:
                              type: string
                            url:
                              type: string
                            duration:
                              type: string
                            description:
                              type: string
                            title:
                              type: string
                            images:
                              type: array
                              items:
                                type: object
                                properties:
                                  url:
                                    type: string
                                  width:
                                    type: integer
                                  height:
                                    type: integer
                            totalSocialActivityCounts:
                              type: object
                              properties:
                                numComments:
                                  type: integer
                                likeCount:
                                  type: integer
                                appreciationCount:
                                  type: integer
                                empathyCount:
                                  type: integer
                                InterestCount:
                                  type: integer
                                praiseCount:
                                  type: integer
                                funnyCount:
                                  type: integer
                                maybeCount:
                                  type: integer
                                totalReactionCount:
                                  type: integer
                                numShares:
                                  type: integer
                      currentPage:
                        type: integer
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_linkedin_get_user_articles_Response:
      type: object
      properties:
        type:
          type: string
        properties:
          type: object
          properties:
            success:
              type: object
              properties:
                type:
                  type: string
            message:
              type: object
              properties:
                type:
                  type: string
            data:
              type: object
              properties:
                type:
                  type: string
                properties:
                  type: object
                  properties:
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            properties:
                              type: object
                              properties:
                                urn:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                url:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                duration:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                description:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                title:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                images:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                    items:
                                      type: object
                                      properties:
                                        type:
                                          type: string
                                        properties:
                                          type: object
                                          properties:
                                            url:
                                              type: object
                                              properties:
                                                type:
                                                  type: string
                                            width:
                                              type: object
                                              properties:
                                                type:
                                                  type: string
                                            height:
                                              type: object
                                              properties:
                                                type:
                                                  type: string
                                totalSocialActivityCounts:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                    properties:
                                      type: object
                                      properties:
                                        numComments:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        likeCount:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        appreciationCount:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        empathyCount:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        InterestCount:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        praiseCount:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        funnyCount:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        maybeCount:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        totalReactionCount:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                        numShares:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                    currentPage:
                      type: object
                      properties:
                        type:
                          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````